﻿using System;
using System.Windows.Input;

namespace XamDialogWindowWithCode
{
    public class ViewModel
    {
        public ICommand ShowDialogCommand { get; private set; }

        public ViewModel()
        {
            ShowDialogCommand = new ShowDialogCommand();
        }
    }

    public class ShowDialogCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            Dialog dialog = new Dialog();
            dialog.IsModal = true;
            dialog.Show();
        }
    }
}
